# Interface Searcher

All Known Implementing Classes:
  `RawTextSearcher, RegexpSearcher`

public interface Searcher
Search algorithm

## Method Summary

Modifier and Type
Method
Description
`boolean`
`search(List<String> textTokens)`
Implements the search

## Method Details

### search

boolean search(List<String> textTokens)
Implements the search

Parameters:
  `textTokens` - List of content to be searched
Returns:
  true if search on textTokens is successful